[arch-commits] CVS update of extra/gnome/libbonobo (5 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 09:52:11 EDT 2007


    Date: Sunday, April 22, 2007 @ 09:52:11
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/libbonobo

   Added: bgo416393.patch (1.1) bgo427992.patch (1.1)
          bonobo-activation-config.xml (1.1)
Modified: PKGBUILD (1.17 -> 1.18) libbonobo.install (1.1 -> 1.2)

upgpkg: libbonobo 2.18.0-2
Move to /usr, add old /opt/gnome location to bonobo search path


------------------------------+
 PKGBUILD                     |   28 +++++++++++++++++++---------
 bgo416393.patch              |   41 +++++++++++++++++++++++++++++++++++++++++
 bgo427992.patch              |   12 ++++++++++++
 bonobo-activation-config.xml |   14 ++++++++++++++
 libbonobo.install            |    8 ++++++--
 5 files changed, 92 insertions(+), 11 deletions(-)


Index: extra/gnome/libbonobo/PKGBUILD
diff -u extra/gnome/libbonobo/PKGBUILD:1.17 extra/gnome/libbonobo/PKGBUILD:1.18
--- extra/gnome/libbonobo/PKGBUILD:1.17	Mon Mar 19 13:52:18 2007
+++ extra/gnome/libbonobo/PKGBUILD	Sun Apr 22 09:52:11 2007
@@ -1,25 +1,35 @@
-# $Id: PKGBUILD,v 1.17 2007/03/19 17:52:18 jgc Exp $
+# $Id: PKGBUILD,v 1.18 2007/04/22 13:52:11 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
+
 pkgname=libbonobo
 pkgver=2.18.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A set of language and system independant CORBA interfaces for creating reusable components"
 arch=(i686 x86_64)
-depends=('orbit2>=2.14.7')
+license=('GPL' 'LGPL')
+depends=('orbit2>=2.14.7-2')
 makedepends=('perlxml' 'pkgconfig')
 options=('nolibtool')
+backup=('etc/bonobo-activation/bonobo-activation-config.xml')
 replaces=('bonobo-activation')
 url="http://www.gnome.org"
-license=(GPL)
-source=(http://ftp.gnome.org/pub/gnome/sources/libbonobo/2.18/libbonobo-${pkgver}.tar.bz2)
+source=(http://ftp.gnome.org/pub/gnome/sources/libbonobo/2.18/libbonobo-${pkgver}.tar.bz2
+	bgo416393.patch
+	bgo427992.patch
+	bonobo-activation-config.xml)
 install=libbonobo.install
-md5sums=('8f0676e63420abf622f799cdd24ed9cc')
+md5sums=('8f0676e63420abf622f799cdd24ed9cc' '6bd6645ad8da177b3563069cad9e3552'
+	 'a3e4e402e7020dedb0a89e99c754f275')
 
-build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
 
+build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/opt/gnome --disable-static
+  patch -Np2 -i ${startdir}/src/bgo416393.patch || return 1
+  patch -Np2 -i ${startdir}/src/bgo427992.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static \
+	      --libexecdir=/usr/lib/bonobo
   make || return 1
   make DESTDIR=${startdir}/pkg install
+  install -m644 ${startdir}/src/bonobo-activation-config.xml ${startdir}/pkg/etc/bonobo-activation/
 }
Index: extra/gnome/libbonobo/bgo416393.patch
diff -u /dev/null extra/gnome/libbonobo/bgo416393.patch:1.1
--- /dev/null	Sun Apr 22 09:52:11 2007
+++ extra/gnome/libbonobo/bgo416393.patch	Sun Apr 22 09:52:11 2007
@@ -0,0 +1,41 @@
+--- branches/gnome-2-18/activation-server/object-directory-corba.c	2007/03/12 13:54:46	3353
++++ branches/gnome-2-18/activation-server/object-directory-corba.c	2007/03/23 14:56:24	3356
+@@ -389,6 +389,7 @@
+         int i, serverinfo_env_idx;
+         const Bonobo_ActivationEnvironment *client_env;
+         const Bonobo_StringList *serverinfo_env = NULL;
++        ClientContext *client_context;
+ 
+         array = g_array_new (FALSE, FALSE, sizeof (Bonobo_ActivationEnvValue));
+ 
+@@ -396,7 +397,16 @@
+         for (i = 0; i < environment->_length; ++i)
+                 g_array_append_val (array, environment->_buffer[i]);
+ 
+-        if (client == CORBA_OBJECT_NIL)
++        if (G_UNLIKELY (client == CORBA_OBJECT_NIL))
++                goto exit;
++
++        client_context = ((ClientContext *) g_hash_table_lookup
++                          (od->client_contexts, client));
++        if (G_UNLIKELY (!client_context))
++                goto exit;
++
++        client_env = client_context->env;
++        if (G_UNLIKELY (!client_env))
+                 goto exit;
+ 
+         /* scan through server properties */
+@@ -417,12 +427,6 @@
+                 goto exit;
+ 
+         /* do the actual merging */
+-        client_env = ((ClientContext *) g_hash_table_lookup
+-                      (od->client_contexts, client))->env;
+-
+-        if (!client_env)
+-                goto exit;
+-
+         for (serverinfo_env_idx = 0;
+              serverinfo_env_idx < serverinfo_env->_length; ++serverinfo_env_idx)
+         {
Index: extra/gnome/libbonobo/bgo427992.patch
diff -u /dev/null extra/gnome/libbonobo/bgo427992.patch:1.1
--- /dev/null	Sun Apr 22 09:52:11 2007
+++ extra/gnome/libbonobo/bgo427992.patch	Sun Apr 22 09:52:11 2007
@@ -0,0 +1,12 @@
+--- branches/gnome-2-18/bonobo-activation/bonobo-activation-activate.c	2007/03/12 13:54:46	3353
++++ branches/gnome-2-18/bonobo-activation/bonobo-activation-activate.c	2007/04/10 11:47:54	3364
+@@ -817,8 +817,7 @@
+ 	activation_environment._release = TRUE;
+ 
+ 	for (i = 0; i < activation_environment._length - 1; i++)
+-		Bonobo_ActivationEnvValue_copy (
+-			&activation_environment._buffer [i], &old_buffer [i]);
++		activation_environment._buffer[i] = old_buffer[i];
+ 
+ 	Bonobo_ActivationEnvValue_set (&activation_environment._buffer [i], name, value);
+ 
Index: extra/gnome/libbonobo/bonobo-activation-config.xml
diff -u /dev/null extra/gnome/libbonobo/bonobo-activation-config.xml:1.1
--- /dev/null	Sun Apr 22 09:52:11 2007
+++ extra/gnome/libbonobo/bonobo-activation-config.xml	Sun Apr 22 09:52:11 2007
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+
+<oafconfig>
+
+<searchpath>
+    <!-- Examples: -->
+    <item>/usr/lib/bonobo/servers</item>
+    <item>/opt/gnome/lib/bonobo/servers</item>
+    <!-- <item>/usr/local/gnome2/lib/bonobo/servers</item> -->
+    <!-- <item>/usr/local/lib/bonobo/servers</item> -->
+    <!-- <item>/opt/gnome2/bonobo-activation/lib/bonobo/servers</item> -->
+</searchpath>
+
+</oafconfig>
Index: extra/gnome/libbonobo/libbonobo.install
diff -u extra/gnome/libbonobo/libbonobo.install:1.1 extra/gnome/libbonobo/libbonobo.install:1.2
--- extra/gnome/libbonobo/libbonobo.install:1.1	Sun Jul  4 14:03:52 2004
+++ extra/gnome/libbonobo/libbonobo.install	Sun Apr 22 09:52:11 2007
@@ -1,9 +1,13 @@
 post_install() {
-  killall -HUP bonobo-activation-server 2>&1
+  /bin/true
 }
 
 post_upgrade() {
-    post_install $1
+  ldconfig -r .
+  PID=`pidof bonobo-activation-server`
+  if [ ! -z "${PID}" ]; then
+    killall -HUP bonobo-activation-server 2>&1
+  fi
 }
 
 pre_remove() {




More information about the arch-commits mailing list